Create client
curl --request POST \
--url https://api.entendre.finance/v1/firm/clients \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Acme Finance",
"web_address": "acme-finance",
"contact_name": "Alex Smith",
"contact_email": "alex@example.com",
"website": "https://example.com",
"timezone": "America/New_York"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Acme Finance',
web_address: 'acme-finance',
contact_name: 'Alex Smith',
contact_email: 'alex@example.com',
website: 'https://example.com',
timezone: 'America/New_York'
})
};
fetch('https://api.entendre.finance/v1/firm/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/firm/clients"
payload = {
"name": "Acme Finance",
"web_address": "acme-finance",
"contact_name": "Alex Smith",
"contact_email": "alex@example.com",
"website": "https://example.com",
"timezone": "America/New_York"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "fcl_507f1f77bcf86cd799439011",
"organization_id": "507f1f77bcf86cd799439012",
"name": "Acme Finance",
"web_address": "acme-finance",
"timezone": "America/New_York",
"contact_name": "Alex Smith",
"contact_email": "alex@example.com",
"website": "https://example.com",
"logo_url": null,
"status": "draft",
"is_multi_entity": false,
"pending_actions": [],
"legal_entities_count": 1,
"agents_count": 0,
"integrations": [],
"created_at": "2026-08-31T12:00:00Z",
"updated_at": "2026-08-31T12:00:00Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource state does not allow this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Client
Create client
Creates a draft client relationship. Linking an existing organization or granting access requires client consent through the dashboard.
POST
/
v1
/
firm
/
clients
Create client
curl --request POST \
--url https://api.entendre.finance/v1/firm/clients \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Acme Finance",
"web_address": "acme-finance",
"contact_name": "Alex Smith",
"contact_email": "alex@example.com",
"website": "https://example.com",
"timezone": "America/New_York"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Acme Finance',
web_address: 'acme-finance',
contact_name: 'Alex Smith',
contact_email: 'alex@example.com',
website: 'https://example.com',
timezone: 'America/New_York'
})
};
fetch('https://api.entendre.finance/v1/firm/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/firm/clients"
payload = {
"name": "Acme Finance",
"web_address": "acme-finance",
"contact_name": "Alex Smith",
"contact_email": "alex@example.com",
"website": "https://example.com",
"timezone": "America/New_York"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "fcl_507f1f77bcf86cd799439011",
"organization_id": "507f1f77bcf86cd799439012",
"name": "Acme Finance",
"web_address": "acme-finance",
"timezone": "America/New_York",
"contact_name": "Alex Smith",
"contact_email": "alex@example.com",
"website": "https://example.com",
"logo_url": null,
"status": "draft",
"is_multi_entity": false,
"pending_actions": [],
"legal_entities_count": 1,
"agents_count": 0,
"integrations": [],
"created_at": "2026-08-31T12:00:00Z",
"updated_at": "2026-08-31T12:00:00Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource state does not allow this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Authorizations
Your organization API key. Some operations also need a key that is associated with a user; their pages say so.
Headers
Unique key for this operation. Retry with the same key and request body after a timeout. Keys are retained for at least 24 hours.
Required string length:
1 - 255Body
application/json
Client name. Supply this with web_address.
Minimum string length:
1Client Entendre subdomain slug. Supply this with name.
Pattern:
^[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$Client contact name.
Client contact email.
Client public website.
Client timezone.
Response
Created.
Show child attributes
Show child attributes